Subject: Re: bug#49954: 28.0.50; TRAMP: cannot kill child processes: "Forbidden reentrant call of Tramp"

From: Michael Albinus <[email-masked]>
Date: Sat, 18 Sep 2021 22:50:10 +0200

Dima Kogan <[email-masked]> writes:

> Hi.

Hi Dima,

> I just hit this error again, and tried to work around it with
>
>   (setq debug-ignored-errors
>     (cons 'remote-file-error debug-ignored-errors))
>
> as you suggested. It doesn't work to kill the process, though. I C-c C-c
> in my M-x shell, and it fails with a different error:
>
>   tramp-accept-process-output: No catch for tag: non-essential, non-essential
>
> Doing my caching dance actually makes C-c C-c do the right thing. Does
> this make sense?

If the "caching dance" helps you you might continue with this. But I
won't recommend it to the public, I fear too many undesired side-effects.

The best solution would be to fix the problem itself. As always.

Best regards, Michael.